This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 639869 - (CVE-2011-0012) CVE-2011-0012 spice-xpi: symlink attack on usbrdrctl log file
CVE-2011-0012 spice-xpi: symlink attack on usbrdrctl log file
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110407,reported=20101004,sou...
: Security
Depends On: 639870 639871
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-04 05:06 EDT by Petr Matousek
Modified: 2015-08-19 04:56 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-27 10:17:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2010-10-04 05:06:17 EDT
Spice-xpi uses predictable name for usbrdrctl log file which a malicious user could use to overwrite arbitrary files via a symlink attack, with the privileges of the user running spice-xpi.
Comment 2 errata-xmlrpc 2011-04-07 18:20:02 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0426 https://rhn.redhat.com/errata/RHSA-2011-0426.html
Comment 3 Peter Hatina 2012-02-27 10:17:31 EST
This bug has been fixed almost a year ago, closing.

Note You need to log in before you can comment on or make changes to this bug.